Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Clutter::BoxLayout Class Reference

Inherits Clutter::LayoutManager.

Collaboration diagram for Clutter::BoxLayout:
[legend]

List of all members.

## Public Member Functions
virtual | ~BoxLayout ()
ClutterBoxLayout* | gobj ()
| Provides access to the underlying C GObject.
const ClutterBoxLayout* | gobj () const
| Provides access to the underlying C GObject.
ClutterBoxLayout* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_pack_start (bool pack_start)
| Sets whether children of layout should be layed out by appending them or by prepending them.
bool | get_pack_start () const
| Retrieves the value set using set_pack_start().
void | set_spacing (guint spacing)
| Sets the spacing between children of layout.
guint | get_spacing () const
| Retrieves the spacing set using set_spacing().
void | set_vertical (bool vertical)
| Sets whether layout should arrange its children vertically alongside the Y axis, instead of horizontally alongside the X axis.
bool | get_vertical () const
| Retrieves the orientation of the layout as set using the set_vertical() function.
void | set_homogeneous (bool homogeneous)
bool | get_homogeneous () const
void | pack (const Glib::RefPtr< Actor >&, bool expand, bool x_fill, bool y_fill, BoxAlignment x_align, BoxAlignment y_align)
| Packs actor inside the Clutter::Container associated to layout and sets the layout properties.
void | set_alignment (const Glib::RefPtr< Actor >& child, BoxAlignment x_align, BoxAlignment y_align)
| Sets the horizontal and vertical alignment policies for actor inside layout.
void | get_alignment (const Glib::RefPtr< Actor >& child, BoxAlignment& x_align, BoxAlignment& y_align) const
| Retrieves the horizontal and vertical alignment policies for actor as set using pack() or set_alignment().
void | set_expand (const Glib::RefPtr< Actor >& child, bool expand)
| Sets whether actor should expand inside layout.
bool | get_expand (const Glib::RefPtr< Actor >& child) const
| Retrieves whether actor should expand inside layout.
void | set_fill (const Glib::RefPtr< Actor >& child, bool x_fill, bool y_fill)
| Sets the horizontal and vertical fill policies for actor inside layout.
void | get_fill (const Glib::RefPtr< Actor >& child, bool& x_fill, bool& y_fill) const
| Retrieves the horizontal and vertical fill policies for actor as set using pack() or set_fill().
bool | get_use_animations () const
| Retrieves whether layout should animate changes in the layout properties.
void | set_easing_duration (guint msecs)
| Sets the duration of the animations used by layout when animating changes in the layout properties.
guint | get_easing_duration () const
| Retrieves the duration set using set_easing_duration().
void | set_easing_mode (gulong mode)
| Sets the easing mode to be used by layout when animating changes in layout properties.
gulong | get_easing_mode () const
| Retrieves the easing mode set using set_easing_mode().
Glib::PropertyProxy< guint > | property_easing_duration ()
| The duration of the animations.
Glib::PropertyProxy_ReadOnly < guint > | property_easing_duration () const
| The duration of the animations.
Glib::PropertyProxy< unsigned long > | property_easing_mode ()
| The easing mode of the animations.
Glib::PropertyProxy_ReadOnly < unsigned long > | property_easing_mode () const
| The easing mode of the animations.
Glib::PropertyProxy< bool > | property_homogeneous ()
| Whether the layout should be homogeneous, i.e.
Glib::PropertyProxy_ReadOnly < bool > | property_homogeneous () const
| Whether the layout should be homogeneous, i.e.
Glib::PropertyProxy< bool > | property_pack_start ()
| Whether to pack items at the start of the box.
Glib::PropertyProxy_ReadOnly < bool > | property_pack_start () const
| Whether to pack items at the start of the box.
Glib::PropertyProxy< guint > | property_spacing ()
| Spacing between children.
Glib::PropertyProxy_ReadOnly < guint > | property_spacing () const
| Spacing between children.
Glib::PropertyProxy< bool > | property_use_animations ()
| Whether layout changes should be animated.
Glib::PropertyProxy_ReadOnly < bool > | property_use_animations () const
| Whether layout changes should be animated.
Glib::PropertyProxy< bool > | property_vertical ()
| Whether the layout should be vertical, rather than horizontal.
Glib::PropertyProxy_ReadOnly < bool > | property_vertical () const
| Whether the layout should be vertical, rather than horizontal.
## Static Public Member Functions
static Glib::RefPtr< BoxLayout > | create ()
## Protected Member Functions
| BoxLayout ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Clutter::BoxLayout > | wrap (ClutterBoxLayout* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::BoxLayout::~BoxLayout | ( |  | ) | `[virtual]`

Clutter::BoxLayout::BoxLayout | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<BoxLayout> Clutter::BoxLayout::create | ( |  | ) | `[static]`

void Clutter::BoxLayout::get_alignment | ( | const Glib::RefPtr< Actor >& | child,
|  | BoxAlignment& | x_align,
|  | BoxAlignment& | y_align |
| ) |  |  | const

Retrieves the horizontal and vertical alignment policies for actor as set using pack() or set_alignment().

Since cluttermm 1.2:

Parameters:

  | actor | A Clutter::Actor child of layout.
  | x_align | Return location for the horizontal alignment policy.
  | y_align | Return location for the vertical alignment policy.

guint Clutter::BoxLayout::get_easing_duration | ( |  | ) | const

Retrieves the duration set using set_easing_duration().

Since cluttermm 1.2:

Returns:
  The duration of the animations, in milliseconds.

gulong Clutter::BoxLayout::get_easing_mode | ( |  | ) | const

Retrieves the easing mode set using set_easing_mode().

Since cluttermm 1.2:

Returns:
  An easing mode.

bool Clutter::BoxLayout::get_expand | ( | const Glib::RefPtr< Actor >& | child | ) | const

Retrieves whether actor should expand inside layout.

Since cluttermm 1.2:

Parameters:

  | actor | A Clutter::Actor child of layout.

Returns:
  `true` if the Clutter::Actor should expand, `false` otherwise.

void Clutter::BoxLayout::get_fill | ( | const Glib::RefPtr< Actor >& | child,
|  | bool & | x_fill,
|  | bool & | y_fill |
| ) |  |  | const

Retrieves the horizontal and vertical fill policies for actor as set using pack() or set_fill().

Since cluttermm 1.2:

Parameters:

  | actor | A Clutter::Actor child of layout.
  | x_fill | Return location for the horizontal fill policy.
  | y_fill | Return location for the vertical fill policy.

bool Clutter::BoxLayout::get_homogeneous | ( |  | ) | const

bool Clutter::BoxLayout::get_pack_start | ( |  | ) | const

Retrieves the value set using set_pack_start().

Since cluttermm 1.2:

Returns:
  `true` if the Clutter::BoxLayout should pack children at the beginning of the layout, and `false` otherwise.

guint Clutter::BoxLayout::get_spacing | ( |  | ) | const

Retrieves the spacing set using set_spacing().

Since cluttermm 1.2:

Returns:
  The spacing between children of the Clutter::BoxLayout.

bool Clutter::BoxLayout::get_use_animations | ( |  | ) | const

Retrieves whether layout should animate changes in the layout properties.

Since set_use_animations()

Since cluttermm 1.2:

Returns:
  `true` if the animations should be used, `false` otherwise.

bool Clutter::BoxLayout::get_vertical | ( |  | ) | const

Retrieves the orientation of the layout as set using the set_vertical() function.

Since cluttermm 1.2:

Returns:
  `true` if the Clutter::BoxLayout is arranging its children vertically, and `false` otherwise.

ClutterBoxLayout* Clutter::BoxLayout::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::LayoutManager.

const ClutterBoxLayout* Clutter::BoxLayout::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::LayoutManager.

ClutterBoxLayout* Clutter::BoxLayout::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Clutter::LayoutManager.

void Clutter::BoxLayout::pack | ( | const Glib::RefPtr< Actor >& | ,
|  | bool | expand,
|  | bool | x_fill,
|  | bool | y_fill,
|  | BoxAlignment | x_align,
|  | BoxAlignment | y_align |
| ) |  |  |

Packs actor inside the Clutter::Container associated to layout and sets the layout properties.

Since cluttermm 1.2:

Parameters:

  | actor | A Clutter::Actor.
  | expand | Whether the actor should expand.
  | x_fill | Whether the actor should fill horizontally.
  | y_fill | Whether the actor should fill vertically.
  | x_align | The horizontal alignment policy for actor.
  | y_align | The vertical alignment policy for actor.

Glib::PropertyProxy<guint> Clutter::BoxLayout::property_easing_duration | ( |  | ) |

The duration of the animations.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Clutter::BoxLayout::property_easing_duration | ( |  | ) | const

The duration of the animations.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<unsigned long> Clutter::BoxLayout::property_easing_mode | ( |  | ) |

The easing mode of the animations.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<unsigned long> Clutter::BoxLayout::property_easing_mode | ( |  | ) | const

The easing mode of the animations.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::BoxLayout::property_homogeneous | ( |  | ) |

Whether the layout should be homogeneous, i.e.

all children get the same size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::BoxLayout::property_homogeneous | ( |  | ) | const

Whether the layout should be homogeneous, i.e.

all children get the same size.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::BoxLayout::property_pack_start | ( |  | ) | const

Whether to pack items at the start of the box.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::BoxLayout::property_pack_start | ( |  | ) |

Whether to pack items at the start of the box.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Clutter::BoxLayout::property_spacing | ( |  | ) | const

Spacing between children.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Clutter::BoxLayout::property_spacing | ( |  | ) |

Spacing between children.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::BoxLayout::property_use_animations | ( |  | ) |

Whether layout changes should be animated.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::BoxLayout::property_use_animations | ( |  | ) | const

Whether layout changes should be animated.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Clutter::BoxLayout::property_vertical | ( |  | ) |

Whether the layout should be vertical, rather than horizontal.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Clutter::BoxLayout::property_vertical | ( |  | ) | const

Whether the layout should be vertical, rather than horizontal.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Clutter::BoxLayout::set_alignment | ( | const Glib::RefPtr< Actor >& | child,
|  | BoxAlignment | x_align,
|  | BoxAlignment | y_align |
| ) |  |  |

Sets the horizontal and vertical alignment policies for actor inside layout.

Since cluttermm 1.2:

Parameters:

  | actor | A Clutter::Actor child of layout.
  | x_align | Horizontal alignment policy for actor.
  | y_align | Vertical alignment policy for actor.

void Clutter::BoxLayout::set_easing_duration | ( | guint | msecs | ) |

Sets the duration of the animations used by layout when animating changes in the layout properties.

Use set_use_animations() to enable and disable the animations

Since cluttermm 1.2:

Parameters:

  | msecs | The duration of the animations, in milliseconds.

void Clutter::BoxLayout::set_easing_mode | ( | gulong | mode | ) |

Sets the easing mode to be used by layout when animating changes in layout properties.

Use set_use_animations() to enable and disable the animations

Since cluttermm 1.2:

Parameters:

  | mode | An easing mode, either from Clutter::AnimationMode or a logical id from Clutter::Alpha::register_func().

void Clutter::BoxLayout::set_expand | ( | const Glib::RefPtr< Actor >& | child,
|  | bool | expand |
| ) |  |  |

Sets whether actor should expand inside layout.

Since cluttermm 1.2:

Parameters:

  | actor | A Clutter::Actor child of layout.
  | expand | Whether actor should expand.

void Clutter::BoxLayout::set_fill | ( | const Glib::RefPtr< Actor >& | child,
|  | bool | x_fill,
|  | bool | y_fill |
| ) |  |  |

Sets the horizontal and vertical fill policies for actor inside layout.

Since cluttermm 1.2:

Parameters:

  | actor | A Clutter::Actor child of layout.
  | x_fill | Whether actor should fill horizontally the allocated space.
  | y_fill | Whether actor should fill vertically the allocated space.

void Clutter::BoxLayout::set_homogeneous | ( | bool | homogeneous | ) |

void Clutter::BoxLayout::set_pack_start | ( | bool | pack_start | ) |

Sets whether children of layout should be layed out by appending them or by prepending them.

Since cluttermm 1.2:

Parameters:

  | pack_start | `true` if the layout should pack children at the beginning of the layout.

void Clutter::BoxLayout::set_spacing | ( | guint | spacing | ) |

Sets the spacing between children of layout.

Since cluttermm 1.2:

Parameters:

  | spacing | The spacing between children of the layout, in pixels.

void Clutter::BoxLayout::set_vertical | ( | bool | vertical | ) |

Sets whether layout should arrange its children vertically alongside the Y axis, instead of horizontally alongside the X axis.

Since cluttermm 1.2:

Parameters:

  | vertical | `true` if the layout should be vertical.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::BoxLayout > wrap | ( | ClutterBoxLayout * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/box-layout.h